Совместимость с разными версиями Sane

Какие модели работают и не работают. Сканеры в МФУ.
Ответить
kind21
Сообщения: 16
Зарегистрирован: Пн окт 28, 2013 10:47 am

Совместимость с разными версиями Sane

Сообщение kind21 » Пн апр 02, 2018 7:55 am

Столкнулся с проблемой.
Есть МФУ Samsung SCX-4824.
Сканирование с него на тонкий клиент Wtware происходит замечательно через Sane 1.0.25, который использовался в версии wtware 5.4.40
Однако мне нужны функции wtware 5.8.8, однако там используется sane 1.0.27git, который не поддерживает мой сканер.
В итоге приходится сидеть на старой версии wtware. При попутке заменить пакет scan в новой версии Wtware она ругается на измененный файл.
Можно ли как-от добавить функцию, выбора версии Sane при подключении сканера?

aka
Разработчик
Разработчик
Сообщения: 9390
Зарегистрирован: Ср окт 01, 2003 12:06 am
Откуда: Роcсия, Тольятти
Контактная информация:

Re: Совместимость с разными версиями Sane

Сообщение aka » Пн апр 02, 2018 9:54 am

Там же не только "версия файла", там системные библиотеки и другие привязки есть. Не получится собрать конфтруктор из старых и новых деталей :(

Ответить